package com.mortals.xhx.module.certificate.service;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.certificate.model.DeviceClassifyEntity;

import java.util.List;

/**
* DeviceClassifyService
*
* 证照分类设备配置 service接口
*
* @author zxfei
* @date 2023-05-09
*/
public interface DeviceClassifyService extends ICRUDService<DeviceClassifyEntity,Long>{

    /**
     * 获取设备允许打印目录分类
     * @param deviceNum
     * @return
     */
    List<Long> getClassifyByDevice(String deviceNum);
}